//
//  LDTableViewViewController.m
//  LDRefreshHeader
//
//  Created by Daredos on 16/5/19.
//  Copyright © 2016年 LiangDaHong. All rights reserved.
//

#import "LDTableViewViewController.h"
#import "LDRefresh.h"

@interface LDTableViewViewController () <UITableViewDataSource>

@property (strong, nonatomic) UITableView *tableView;

@end

@implementation LDTableViewViewController

- (void)viewDidLoad {
    
    [super viewDidLoad];
    
    self.view.backgroundColor = [UIColor whiteColor];
    
    [self.view addSubview:self.tableView];



    // 开启刷新
    [self.tableView.header beginRefreshing];
}


- (UITableView *)tableView {
    
    if (!_tableView) {
        _tableView = [[UITableView alloc] initWithFrame:self.view.bounds];
    }
    return _tableView;
}


- (NSInteger)tableView:(UITableView *)tableView indentationLevelForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    return 20;
}

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath {
    
    return [UITableViewCell new];
}


@end
