//
//  LDRefreshHeader.h
//
//  Created by Daredos on 16/5/19.
//  Copyright © 2016年 coderyi. All rights reserved.
//

//  最初版本，有许多需要完善的,我会慢慢一一完善!!

//   (QQ)   2244784466
//  (博客)  http://www.cnblogs.com/dahongliang/
//  (github)https://github.com/asiosldh/LDRefresh.git

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>

typedef void(^LDRefreshActionBlock)(UIScrollView *scrollView);

@interface LDRefreshHeader : NSObject

/*!
 *  @brief 刷新block
 */
@property (copy, nonatomic) LDRefreshActionBlock beginRefreshingBlock;

/*!
 *  @brief 需要刷新的 scrollView (内部使用)
 */
@property (strong, nonatomic) UIScrollView *scrollView;

/*!
 *  @brief 创建上拉刷新控件
 *
 *  @param beginRefreshingBlock 开始刷新block回调
 *
 *  @return 刷新控件
 */
+ (instancetype)refreshHeaderWithBeginRefreshingBlock:(LDRefreshActionBlock)beginRefreshingBlock;

/*!
 *  @brief 开始刷新
 */
- (void)beginRefreshing;

/*!
 *  @brief 停止刷新
 */
- (void)endRefreshing;

@end
